DiskDirType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: DiskDirType

Package org.apache.geode.cache.configuration

# Class DiskDirType

java.lang.Object
org.apache.geode.cache.configuration.DiskDirType

@Experimental public class DiskDirType extends Object
A "disk-dir" element specifies one of a region or diskstore's disk directories.

Java class for disk-dir-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="disk-dir-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="dir-size" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `content`
  `protected String`
  `dirSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskDirType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContent()`
  A "disk-dir" element specifies one of a region or diskstore's disk directories.
  `String`
  `getDirSize()`
  Gets the value of the dirSize property.
  `void`
  `setContent(String value)`
  Sets the value of the content property.
  `void`
  `setDirSize(String value)`
  Sets the value of the dirSize property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected String content

  - ### dirSize

    protected String dirSize

- ## Constructor Details

  - ### DiskDirType

    public DiskDirType()

- ## Method Details

  - ### getContent

    public String getContent()
    A "disk-dir" element specifies one of a region or diskstore's disk directories. possible object is `String`
    Returns:
      the content.

  - ### setContent

    public void setContent(String value)
    Sets the value of the content property. allowed object is `String`
    Parameters:
      `value` - the content.

  - ### getDirSize

    public String getDirSize()
    Gets the value of the dirSize property. possible object is `String`
    Returns:
      the directory size.

  - ### setDirSize

    public void setDirSize(String value)
    Sets the value of the dirSize property. allowed object is `String`
    Parameters:
      `value` - the directory size.